Storyline 3: System Requirements

Article Last Updated

This article applies to:

Here are the minimum system requirements for authoring and viewing Articulate Storyline 3 courses.

Hardware for Authoring Courses

CPU

2 GHz processor or higher (32-bit or 64-bit)

Memory

2 GB minimum

Available Disk Space

1 GB minimum

Display

1,280 x 800 screen resolution or higher

Multimedia

Sound card, microphone, and webcam for recording narration and video

Software for Authoring Courses

Operating System

Windows 10 (32-bit or 64-bit)

Windows 8.1 (32-bit or 64-bit)

Mac OS X (latest version) with Parallels Desktop (latest version) or VMware Fusion (latest version)

.NET Runtime

Microsoft .NET Framework 4.5.2 or later (gets installed if not present)

Visual C++

Microsoft Visual C++ 2019 Redistributable (gets installed if not present)

Compatibility and Integrations

Backward Compatibility

Storyline 1 projects can be upgraded to Storyline 3, but Storyline 3 projects can’t be opened or edited with Storyline 1.

Storyline 2 projects can be upgraded to Storyline 3, but Storyline 3 projects can’t be opened or edited with Storyline 2.

Storyline 3 and Storyline 360 projects can be opened interchangeably, except when a Storyline 360 project file has features that are exclusive to Storyline 360. Details here.

Importing Content

Microsoft PowerPoint 2016 or 2019 (32-bit or 64-bit) or Microsoft Office 365 (desktop apps only) Mac users: Office apps must be installed in your Windows environment.

There are no requirements for importing Presenter and Quizmaker content.

To import Engage interactions, Studio 360 must be installed with an active Articulate 360 subscription.

Publishing to Word

Microsoft Word 2016 or 2019 (32-bit or 64-bit) or Microsoft Office 365 (desktop apps only)

Translation

Microsoft Word 2016 or 2019 (32-bit or 64-bit) or Microsoft Office 365 (desktop apps only)

Browsers and Mobile Apps for Viewing Published Courses

Windows

Internet Explorer 11, Microsoft Edge (latest version), Google Chrome (latest version), Firefox (latest version)

To view CD output, Internet Explorer 11 must be installed.

Mac

Safari (latest version), Google Chrome (latest version), Firefox (latest version)

Mobile

Safari in Apple iOS 12 or later, Google Chrome (latest version) in Apple iOS 12 or later, Google Chrome (latest version) in Android OS 6 or later

Required Browser Settings for Viewing Published Courses

JavaScript

JavaScript must be enabled for published courses to work.

Font Downloads

Font downloads must be enabled to see the correct fonts and characters.

No Compatibility View

When using Internet Explorer, turn off Compatibility View for sites where your courses are hosted.

Accessibility in Published Courses

Storyline 3 output supports the following screen readers plus Web Content Accessibility Guidelines (WCAG) 2.1 Level AA and Revised Section 508 standards. See our Voluntary Product Accessibility Template® (VPAT®) for details.

Screen Readers

NVDA (latest version)

JAWS (latest version)

Mac

VoiceOver

Mobile

VoiceOver in Apple iOS

VoiceOver in Apple iPadOS

TalkBack (latest version) for Android OS